> For the complete documentation index, see [llms.txt](https://doc.wearepatchworks.com/product-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.wearepatchworks.com/product-documentation/api-reference/marketplace/blueprints.md).

# Blueprints

## List Blueprints

> Retrieves a paginated list of blueprints.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintMarketplacesListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/BlueprintMarketplace"}},"meta":{"$ref":"#/components/schemas/PaginationMeta"},"links":{"$ref":"#/components/schemas/PaginationLinks"}}},"BlueprintMarketplace":{"type":"object","properties":{"blueprint":{"type":"string"},"latest_app":{"type":"object"}}},"PaginationMeta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":"integer","nullable":true},"last_page":{"type":"integer"},"path":{"type":"string"},"per_page":{"type":"integer"},"to":{"type":"integer","nullable":true},"total":{"type":"integer"}}},"PaginationLinks":{"type":"object","properties":{"first":{"type":"string","format":"uri"},"last":{"type":"string","format":"uri"},"prev":{"type":"string","format":"uri","nullable":true},"next":{"type":"string","format":"uri","nullable":true}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints":{"get":{"summary":"List Blueprints","description":"Retrieves a paginated list of blueprints.","tags":["Blueprints"],"parameters":[{"name":"filter[name]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by name."},{"name":"filter[labelled]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by label `id`."},{"name":"filter[,]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by ,."},{"name":"filter[intval]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by intval."},{"name":"filter[labelTemplates]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by labelTemplates."},{"name":"filter[label_templates.id]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by label_templates.id."},{"name":"sort","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["name","-name","id","-id","created_at","-created_at","installs_avg_install_duration","-installs_avg_install_duration"]}},"description":"Sort field. Prefix with - for descending. Available: name, id, created_at, installs_avg_install_duration","style":"form","explode":false},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1},"description":"Page number for pagination."},{"name":"per_page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100},"description":"Number of results per page."},{"name":"filter[id]","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":false,"description":"Filter results by id."},{"name":"filter[allowed]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by allowed."},{"name":"filter[private]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by private."},{"name":"filter[private_or_allowed]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by private_or_allowed."},{"name":"filter[active_version]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by active_version."},{"name":"include","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["flowTemplates","crossReferenceLookupTemplates","crossReferenceLookupTemplates.crossReferenceLookupValueTemplates","systemTemplates","systemTemplates.logo","scriptTemplates","cacheTemplates","dataPoolTemplates","company","marketplaceCompany","publicCompany","installs"]}},"style":"form","explode":false,"description":"Comma-separated list of relationships to include. Available: flowTemplates, crossReferenceLookupTemplates, crossReferenceLookupTemplates.crossReferenceLookupValueTemplates, systemTemplates, systemTemplates.logo, scriptTemplates, cacheTemplates, dataPoolTemplates, company, marketplaceCompany, publicCompany, installs"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintMarketplacesListResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksBlueprintsIndex"}}}}
```

## Create Blueprint

> Creates a new blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Blueprints"}}},"Blueprints":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"help_guide":{"type":"string"},"versionable":{"type":"boolean"},"active_marketplace_app_id":{"type":"integer"},"marketplace_company_id":{"type":"integer"},"public_company_id":{"type":"integer"},"marketplace_apps_count":{"type":"integer"},"update_available":{"type":"string"},"post_install_defaults":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"type":"object"}}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints":{"post":{"summary":"Create Blueprint","description":"Creates a new blueprint.","tags":["Blueprints"],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","maxLength":150},"help_guide":{"type":"string","nullable":true},"visibility":{"type":"string"},"post_install_defaults":{"type":"array"},"label_ids":{"type":"array"}},"required":["name"]}}}},"operationId":"patchworksBlueprintsStore"}}}}
```

## Get Blueprint

> Retrieves the details of a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Blueprints"}}},"Blueprints":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"help_guide":{"type":"string"},"versionable":{"type":"boolean"},"active_marketplace_app_id":{"type":"integer"},"marketplace_company_id":{"type":"integer"},"public_company_id":{"type":"integer"},"marketplace_apps_count":{"type":"integer"},"update_available":{"type":"string"},"post_install_defaults":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"type":"object"}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}":{"get":{"summary":"Get Blueprint","description":"Retrieves the details of a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"filter[labelled]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by label `id`."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksBlueprintsShow"}}}}
```

## Update Blueprint

> Updates an existing blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Blueprints"}}},"Blueprints":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"help_guide":{"type":"string"},"versionable":{"type":"boolean"},"active_marketplace_app_id":{"type":"integer"},"marketplace_company_id":{"type":"integer"},"public_company_id":{"type":"integer"},"marketplace_apps_count":{"type":"integer"},"update_available":{"type":"string"},"post_install_defaults":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"type":"object"}}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}":{"put":{"summary":"Update Blueprint","description":"Updates an existing blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","maxLength":255},"active_version":{"type":"integer","minimum":1},"active_marketplace_app_id":{"type":"integer","minimum":1},"help_guide":{"type":"string","nullable":true},"post_install_defaults":{"type":"array","nullable":true},"label_ids":{"type":"array"}}}}}},"operationId":"patchworksBlueprintsUpdate"}}}}
```

## Delete Blueprint

> Permanently deletes a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}":{"delete":{"summary":"Delete Blueprint","description":"Permanently deletes a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksBlueprintsDestroy"}}}}
```

## Get Unpublished

> Retrieves blueprints that have not yet been published.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/unpublished":{"get":{"summary":"Get Unpublished","description":"Retrieves blueprints that have not yet been published.","tags":["Blueprints"],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"parameters":[],"operationId":"patchworksBlueprintsUnpublished"}}}}
```

## Get Post Install Options

> Retrieves the available post-install action options for blueprints.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/post-install-options":{"get":{"summary":"Get Post Install Options","description":"Retrieves the available post-install action options for blueprints.","tags":["Blueprints"],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"parameters":[],"operationId":"patchworksBlueprintsPostInstallOptions"}}}}
```

## Install Blueprint

> Installs the active version of a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}},"BlueprintsInstallActiveInstallRequest":{"type":"object","properties":{"flow_template_ids":{"type":"string"},"instances":{"type":"string"},"post_install":{"type":"string","properties":{"action":{"type":"string"}}}}}}},"paths":{"/api/v1/blueprints/{blueprint}/install":{"post":{"summary":"Install Blueprint","description":"Installs the active version of a specific blueprint.","parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintsInstallActiveInstallRequest"}}}},"tags":["Blueprints"],"operationId":"blueprintsInstallActive"}}}}
```

## Install Blueprint Version

> Installs a specific version of a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}},"BlueprintsInstallInstallRequest":{"type":"object","properties":{"flow_template_ids":{"type":"string"},"instances":{"type":"string"},"post_install":{"type":"string","properties":{"action":{"type":"string"}}}}}}},"paths":{"/api/v1/blueprints/{blueprint}/versions/{version}/install":{"post":{"summary":"Install Blueprint Version","description":"Installs a specific version of a specific blueprint.","parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"version","in":"path","required":true,"schema":{"type":"string"},"description":"The version identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintsInstallInstallRequest"}}}},"tags":["Blueprints"],"operationId":"blueprintsVersionsInstall"}}}}
```

## Install Blueprint

> To be confirmed.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintInstallResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/BlueprintInstall"}}},"BlueprintInstall":{"type":"object","properties":{"id":{"type":"integer"},"blueprint_id":{"type":"integer"},"company_id":{"type":"integer"},"marketplace_app_id":{"type":"integer"},"version":{"type":"integer"},"status":{"type":"string","enum":["Draft","Inactive","Deployed"]},"post_install_action":{"type":"string"},"current_package_id":{"type":"integer"},"virtual_environment_ids":{"type":"array","items":{"type":"object"}},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"company":{"type":"object"},"marketplace_app":{"$ref":"#/components/schemas/MarketplaceApps"}}},"MarketplaceApps":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"help_guide":{"type":"string"},"flow_version_ids":{"type":"string"},"cross_reference_lookup_ids":{"type":"string"},"system_ids":{"type":"string"},"script_version_ids":{"type":"string"},"cache_ids":{"type":"string"},"data_pool_ids":{"type":"string"},"private":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"blueprint_id":{"type":"integer"},"name":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"installed_count":{"type":"integer"},"company_id":{"type":"integer"},"flow_count":{"type":"integer"},"system_count":{"type":"integer"},"script_count":{"type":"integer"},"data_pool_count":{"type":"integer"},"cache_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"flow_templates":{"type":"array","items":{"$ref":"#/components/schemas/FlowTemplates"}},"cross_reference_lookup_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupTemplate"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"script_templates":{"type":"array","items":{"$ref":"#/components/schemas/ScriptTemplates"}},"cache_templates":{"type":"array","items":{"$ref":"#/components/schemas/CacheTemplate"}},"data_pool_templates":{"type":"array","items":{"$ref":"#/components/schemas/DataPoolTemplate"}},"company":{"type":"object"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"installs_avg_install_duration":{"type":"string"},"is_published":{"type":"boolean"},"publish_failed_at":{"type":"string","format":"date-time"},"publish_error":{"type":"string"}}},"FlowTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time","items":{"type":"object"}},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"step_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"script_count":{"type":"integer"},"system_count":{"type":"integer"},"webhook_count":{"type":"integer"},"advanced":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"steps":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplate"}},"schedules":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"blueprint_id":{"type":"array","items":{"type":"object"}},"blueprint_version_number":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelTemplate"}}}},"SystemTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"label":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]},"logo_url":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"protocol":{"type":"object","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]},"rate_limit_duration":{"type":"integer"},"system_type_id":{"type":"integer"},"system_type":{"$ref":"#/components/schemas/SystemType","enum":["Accounting","CRM","eCommerce","ERP","Marketplaces","Other","PIM","POS","3PL","WMS","Database"]},"date_format":{"type":"string"},"canonical_key":{"type":"object"},"company_id":{"type":"object"},"public_company_id":{"type":"object"},"company":{"type":"object"},"public_company":{"type":"object"},"logo":{"$ref":"#/components/schemas/MediaFiles"},"instances":{"type":"array","items":{"type":"object"}},"authentication_implementation_templates":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"help_link":{"type":"string"}}},"SystemType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}}}},"MediaFiles":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"model_type":{"type":"string"},"model_id":{"type":"integer"},"file_name":{"type":"string"},"mime_type":{"type":"string"},"expires_at":{"type":"string","format":"date-time"},"is_expired":{"type":"boolean"}}},"FlowStepTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"children":{"type":"string"},"routes":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplateRoute"}},"parent_flow_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"flow_template_id":{"type":"integer"},"cache":{"type":"object"},"microservice":{"type":"string","enum":["gateway","trigger","start","connector","pull","push","map","filter","route","script","manual-payload","assert-payload","split","batch","dedupe","cache","cache-set","cache-get","track","variable-set","run-flow","logging","events","notify","try-catch","branch","callback","data-transform","medium-processor","long-processor","scheduler","cross-reference"]},"config":{"type":"object"},"route_count":{"type":"integer"},"filter_count":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"}}},"FlowStepTemplateRoute":{"type":"object","properties":{"id":{"type":"integer"},"flow_step_id":{"type":"integer"},"name":{"type":"string"},"first_step_id":{"type":"integer"},"first_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"order":{"type":"string"}}},"EndpointTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"system_template_id":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"entity_type_id":{"type":"integer"},"entity_type":{"$ref":"#/components/schemas/EntityType"},"endpoint":{"type":"string"},"http_method":{"type":"string","enum":["CONNECT","DELETE","GET","HEAD","OPTIONS","PATCH","POST","PUT","TRACE"]},"data_type":{"type":"string","enum":["csv","json","txt","xml"]},"pagination_method":{"type":"string","enum":["Custom relative URI","Link Header","Next page token","Next Page URL","Page number parameter","Limit offset","default","PeopleVox","NetSuite SOAP","GraphQL Cursor","Database limit offset","Script"]},"deprecated_at":{"type":"string","format":"date-time"},"direction":{"type":"string","enum":["Send","Receive"]},"returns_multiple_records":{"type":"boolean"},"endpoint_schema_template":{"$ref":"#/components/schemas/EndpointSchemaTemplate"},"data_path":{"type":"string"},"body_format":{"type":"string","enum":["none","form-data","raw","text"]},"raw_body":{"type":"string"},"help_link":{"type":"string"}}},"EntityType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"}}},"EndpointSchemaTemplate":{"type":"object","properties":{"id":{"type":"integer"},"endpoint_template_id":{"type":"integer"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"},"schema":{"type":"string"}}},"LabelTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]}}},"CrossReferenceLookupTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"default_value":{"type":"string"},"cross_reference_lookup_value_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupValueTemplate"}}}},"CrossReferenceLookupValueTemplate":{"type":"object","properties":{"id":{"type":"integer"},"left_value":{"type":"string"},"right_value":{"type":"string"}}},"ScriptTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"language":{"type":"object"},"company_id":{"type":"object"},"canonical_key":{"type":"object"},"content":{"$ref":"#/components/schemas/ScriptTemplateContent"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"tenant_script_version_id":{"type":"string"}}},"ScriptTemplateContent":{"type":"object","properties":{"id":{"type":"integer"},"script_template_id":{"type":"integer"},"content":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"}}},"CacheTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"scope":{"type":"string","enum":["Flow run","Flow","Company"]},"ttl":{"type":"string"},"flow_template_id":{"type":"integer"},"marketplace_app_id":{"type":"integer"}}},"DataPoolTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/install":{"get":{"summary":"Install Blueprint","description":"To be confirmed.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"filter[version]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by version."},{"name":"filter[search]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by search."},{"name":"include","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["company","marketplaceApp"]}},"style":"form","explode":false,"description":"Comma-separated list of relationships to include. Available: company, marketplaceApp"},{"name":"sort","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["id","-id","version","-version","created_at","-created_at"]}},"style":"form","explode":false,"description":"Sort field. Prefix with - for descending. Available: id, version, created_at"},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1},"description":"Page number for pagination."},{"name":"per_page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100},"description":"Number of results per page."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintInstallResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksBlueprintsInstall"}}}}
```

## List Blueprint Installs

> Retrieves a paginated list of installs for a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintInstallsListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/BlueprintInstall"}},"meta":{"$ref":"#/components/schemas/PaginationMeta"},"links":{"$ref":"#/components/schemas/PaginationLinks"}}},"BlueprintInstall":{"type":"object","properties":{"id":{"type":"integer"},"blueprint_id":{"type":"integer"},"company_id":{"type":"integer"},"marketplace_app_id":{"type":"integer"},"version":{"type":"integer"},"status":{"type":"string","enum":["Draft","Inactive","Deployed"]},"post_install_action":{"type":"string"},"current_package_id":{"type":"integer"},"virtual_environment_ids":{"type":"array","items":{"type":"object"}},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"company":{"type":"object"},"marketplace_app":{"$ref":"#/components/schemas/MarketplaceApps"}}},"MarketplaceApps":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"help_guide":{"type":"string"},"flow_version_ids":{"type":"string"},"cross_reference_lookup_ids":{"type":"string"},"system_ids":{"type":"string"},"script_version_ids":{"type":"string"},"cache_ids":{"type":"string"},"data_pool_ids":{"type":"string"},"private":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"blueprint_id":{"type":"integer"},"name":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"installed_count":{"type":"integer"},"company_id":{"type":"integer"},"flow_count":{"type":"integer"},"system_count":{"type":"integer"},"script_count":{"type":"integer"},"data_pool_count":{"type":"integer"},"cache_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"flow_templates":{"type":"array","items":{"$ref":"#/components/schemas/FlowTemplates"}},"cross_reference_lookup_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupTemplate"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"script_templates":{"type":"array","items":{"$ref":"#/components/schemas/ScriptTemplates"}},"cache_templates":{"type":"array","items":{"$ref":"#/components/schemas/CacheTemplate"}},"data_pool_templates":{"type":"array","items":{"$ref":"#/components/schemas/DataPoolTemplate"}},"company":{"type":"object"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"installs_avg_install_duration":{"type":"string"},"is_published":{"type":"boolean"},"publish_failed_at":{"type":"string","format":"date-time"},"publish_error":{"type":"string"}}},"FlowTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time","items":{"type":"object"}},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"step_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"script_count":{"type":"integer"},"system_count":{"type":"integer"},"webhook_count":{"type":"integer"},"advanced":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"steps":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplate"}},"schedules":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"blueprint_id":{"type":"array","items":{"type":"object"}},"blueprint_version_number":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelTemplate"}}}},"SystemTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"label":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]},"logo_url":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"protocol":{"type":"object","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]},"rate_limit_duration":{"type":"integer"},"system_type_id":{"type":"integer"},"system_type":{"$ref":"#/components/schemas/SystemType","enum":["Accounting","CRM","eCommerce","ERP","Marketplaces","Other","PIM","POS","3PL","WMS","Database"]},"date_format":{"type":"string"},"canonical_key":{"type":"object"},"company_id":{"type":"object"},"public_company_id":{"type":"object"},"company":{"type":"object"},"public_company":{"type":"object"},"logo":{"$ref":"#/components/schemas/MediaFiles"},"instances":{"type":"array","items":{"type":"object"}},"authentication_implementation_templates":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"help_link":{"type":"string"}}},"SystemType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}}}},"MediaFiles":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"model_type":{"type":"string"},"model_id":{"type":"integer"},"file_name":{"type":"string"},"mime_type":{"type":"string"},"expires_at":{"type":"string","format":"date-time"},"is_expired":{"type":"boolean"}}},"FlowStepTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"children":{"type":"string"},"routes":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplateRoute"}},"parent_flow_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"flow_template_id":{"type":"integer"},"cache":{"type":"object"},"microservice":{"type":"string","enum":["gateway","trigger","start","connector","pull","push","map","filter","route","script","manual-payload","assert-payload","split","batch","dedupe","cache","cache-set","cache-get","track","variable-set","run-flow","logging","events","notify","try-catch","branch","callback","data-transform","medium-processor","long-processor","scheduler","cross-reference"]},"config":{"type":"object"},"route_count":{"type":"integer"},"filter_count":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"}}},"FlowStepTemplateRoute":{"type":"object","properties":{"id":{"type":"integer"},"flow_step_id":{"type":"integer"},"name":{"type":"string"},"first_step_id":{"type":"integer"},"first_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"order":{"type":"string"}}},"EndpointTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"system_template_id":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"entity_type_id":{"type":"integer"},"entity_type":{"$ref":"#/components/schemas/EntityType"},"endpoint":{"type":"string"},"http_method":{"type":"string","enum":["CONNECT","DELETE","GET","HEAD","OPTIONS","PATCH","POST","PUT","TRACE"]},"data_type":{"type":"string","enum":["csv","json","txt","xml"]},"pagination_method":{"type":"string","enum":["Custom relative URI","Link Header","Next page token","Next Page URL","Page number parameter","Limit offset","default","PeopleVox","NetSuite SOAP","GraphQL Cursor","Database limit offset","Script"]},"deprecated_at":{"type":"string","format":"date-time"},"direction":{"type":"string","enum":["Send","Receive"]},"returns_multiple_records":{"type":"boolean"},"endpoint_schema_template":{"$ref":"#/components/schemas/EndpointSchemaTemplate"},"data_path":{"type":"string"},"body_format":{"type":"string","enum":["none","form-data","raw","text"]},"raw_body":{"type":"string"},"help_link":{"type":"string"}}},"EntityType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"}}},"EndpointSchemaTemplate":{"type":"object","properties":{"id":{"type":"integer"},"endpoint_template_id":{"type":"integer"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"},"schema":{"type":"string"}}},"LabelTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]}}},"CrossReferenceLookupTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"default_value":{"type":"string"},"cross_reference_lookup_value_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupValueTemplate"}}}},"CrossReferenceLookupValueTemplate":{"type":"object","properties":{"id":{"type":"integer"},"left_value":{"type":"string"},"right_value":{"type":"string"}}},"ScriptTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"language":{"type":"object"},"company_id":{"type":"object"},"canonical_key":{"type":"object"},"content":{"$ref":"#/components/schemas/ScriptTemplateContent"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"tenant_script_version_id":{"type":"string"}}},"ScriptTemplateContent":{"type":"object","properties":{"id":{"type":"integer"},"script_template_id":{"type":"integer"},"content":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"}}},"CacheTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"scope":{"type":"string","enum":["Flow run","Flow","Company"]},"ttl":{"type":"string"},"flow_template_id":{"type":"integer"},"marketplace_app_id":{"type":"integer"}}},"DataPoolTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"}}},"PaginationMeta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":"integer","nullable":true},"last_page":{"type":"integer"},"path":{"type":"string"},"per_page":{"type":"integer"},"to":{"type":"integer","nullable":true},"total":{"type":"integer"}}},"PaginationLinks":{"type":"object","properties":{"first":{"type":"string","format":"uri"},"last":{"type":"string","format":"uri"},"prev":{"type":"string","format":"uri","nullable":true},"next":{"type":"string","format":"uri","nullable":true}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs":{"get":{"summary":"List Blueprint Installs","description":"Retrieves a paginated list of installs for a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"filter[version]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by version."},{"name":"filter[search]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by search."},{"name":"include","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["company","marketplaceApp"]}},"description":"Comma-separated list of relationships to include. Available: company, marketplaceApp","style":"form","explode":false},{"name":"sort","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["id","-id","version","-version","created_at","-created_at"]}},"description":"Sort field. Prefix with - for descending. Available: id, version, created_at","style":"form","explode":false},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1},"description":"Page number for pagination."},{"name":"per_page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100},"description":"Number of results per page."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintInstallsListResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksBlueprintsInstallsIndex"}}}}
```

## List Blueprint Bulk Installs

> Retrieves a paginated list of bulk install batches for a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintInstallBatchesListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/BlueprintInstallBatch"}},"meta":{"$ref":"#/components/schemas/PaginationMeta"},"links":{"$ref":"#/components/schemas/PaginationLinks"}}},"BlueprintInstallBatch":{"type":"object","properties":{"id":{"type":"integer"},"blueprint_id":{"type":"integer"},"marketplace_app_id":{"type":"integer"},"target_version":{"type":"string"},"post_install_action":{"type":"string"},"total":{"type":"string"},"processed":{"type":"string"},"succeeded":{"type":"string"},"failed":{"type":"string"},"status":{"type":"string","enum":["Draft","Inactive","Deployed"]},"message":{"type":"string"},"created_by":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"items":{"type":"array","items":{"$ref":"#/components/schemas/BlueprintInstallBatchItem"}}}},"BlueprintInstallBatchItem":{"type":"object","properties":{"id":{"type":"integer"},"batch_id":{"type":"integer"},"company_id":{"type":"integer"},"status":{"type":"string","enum":["Draft","Inactive","Deployed"]},"message":{"type":"string"},"started_at":{"type":"string","format":"date-time"},"finished_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"company":{"type":"object"}}},"PaginationMeta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":"integer","nullable":true},"last_page":{"type":"integer"},"path":{"type":"string"},"per_page":{"type":"integer"},"to":{"type":"integer","nullable":true},"total":{"type":"integer"}}},"PaginationLinks":{"type":"object","properties":{"first":{"type":"string","format":"uri"},"last":{"type":"string","format":"uri"},"prev":{"type":"string","format":"uri","nullable":true},"next":{"type":"string","format":"uri","nullable":true}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs/bulk":{"get":{"summary":"List Blueprint Bulk Installs","description":"Retrieves a paginated list of bulk install batches for a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintInstallBatchesListResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksBlueprintsInstallsBulkIndex"}}}}
```

## Create Blueprint Bulk Install

> Creates a new bulk install batch for a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintInstallBatchResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/BlueprintInstallBatch"}}},"BlueprintInstallBatch":{"type":"object","properties":{"id":{"type":"integer"},"blueprint_id":{"type":"integer"},"marketplace_app_id":{"type":"integer"},"target_version":{"type":"string"},"post_install_action":{"type":"string"},"total":{"type":"string"},"processed":{"type":"string"},"succeeded":{"type":"string"},"failed":{"type":"string"},"status":{"type":"string","enum":["Draft","Inactive","Deployed"]},"message":{"type":"string"},"created_by":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"items":{"type":"array","items":{"$ref":"#/components/schemas/BlueprintInstallBatchItem"}}}},"BlueprintInstallBatchItem":{"type":"object","properties":{"id":{"type":"integer"},"batch_id":{"type":"integer"},"company_id":{"type":"integer"},"status":{"type":"string","enum":["Draft","Inactive","Deployed"]},"message":{"type":"string"},"started_at":{"type":"string","format":"date-time"},"finished_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"company":{"type":"object"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs/bulk":{"post":{"summary":"Create Blueprint Bulk Install","description":"Creates a new bulk install batch for a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintInstallBatchResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksBlueprintsInstallsBulkStore"}}}}
```

## Get Blueprint Bulk Install Batch

> Retrieves the details of a specific bulk install batch.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintInstallBatchResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/BlueprintInstallBatch"}}},"BlueprintInstallBatch":{"type":"object","properties":{"id":{"type":"integer"},"blueprint_id":{"type":"integer"},"marketplace_app_id":{"type":"integer"},"target_version":{"type":"string"},"post_install_action":{"type":"string"},"total":{"type":"string"},"processed":{"type":"string"},"succeeded":{"type":"string"},"failed":{"type":"string"},"status":{"type":"string","enum":["Draft","Inactive","Deployed"]},"message":{"type":"string"},"created_by":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"items":{"type":"array","items":{"$ref":"#/components/schemas/BlueprintInstallBatchItem"}}}},"BlueprintInstallBatchItem":{"type":"object","properties":{"id":{"type":"integer"},"batch_id":{"type":"integer"},"company_id":{"type":"integer"},"status":{"type":"string","enum":["Draft","Inactive","Deployed"]},"message":{"type":"string"},"started_at":{"type":"string","format":"date-time"},"finished_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"company":{"type":"object"}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}":{"get":{"summary":"Get Blueprint Bulk Install Batch","description":"Retrieves the details of a specific bulk install batch.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"batch","in":"path","required":true,"schema":{"type":"string"},"description":"The batch identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintInstallBatchResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksBlueprintsInstallsBulkShow"}}}}
```

## Cancel Blueprint Install Bulk

> Cancels a specific in-progress bulk install batch.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}/cancel":{"post":{"summary":"Cancel Blueprint Install Bulk","description":"Cancels a specific in-progress bulk install batch.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"batch","in":"path","required":true,"schema":{"type":"string"},"description":"The batch identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksBlueprintsInstallsBulkCancel"}}}}
```

## List Blueprint Bulk Install Batch Items

> Retrieves a paginated list of items for a specific bulk install batch.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintInstallBatchItemsListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/BlueprintInstallBatchItem"}},"meta":{"$ref":"#/components/schemas/PaginationMeta"},"links":{"$ref":"#/components/schemas/PaginationLinks"}}},"BlueprintInstallBatchItem":{"type":"object","properties":{"id":{"type":"integer"},"batch_id":{"type":"integer"},"company_id":{"type":"integer"},"status":{"type":"string","enum":["Draft","Inactive","Deployed"]},"message":{"type":"string"},"started_at":{"type":"string","format":"date-time"},"finished_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"company":{"type":"object"}}},"PaginationMeta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":"integer","nullable":true},"last_page":{"type":"integer"},"path":{"type":"string"},"per_page":{"type":"integer"},"to":{"type":"integer","nullable":true},"total":{"type":"integer"}}},"PaginationLinks":{"type":"object","properties":{"first":{"type":"string","format":"uri"},"last":{"type":"string","format":"uri"},"prev":{"type":"string","format":"uri","nullable":true},"next":{"type":"string","format":"uri","nullable":true}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}/items":{"get":{"summary":"List Blueprint Bulk Install Batch Items","description":"Retrieves a paginated list of items for a specific bulk install batch.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"batch","in":"path","required":true,"schema":{"type":"string"},"description":"The batch identifier."},{"name":"filter[status]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by status."},{"name":"filter[company_id]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by company_id."},{"name":"filter[company]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by company."},{"name":"include","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["company"]}},"description":"Comma-separated list of relationships to include. Available: company","style":"form","explode":false},{"name":"sort","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["id","-id","status","-status","created_at","-created_at"]}},"description":"Sort field. Prefix with - for descending. Available: id, status, created_at","style":"form","explode":false},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1},"description":"Page number for pagination."},{"name":"per_page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100},"description":"Number of results per page."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintInstallBatchItemsListResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksBlueprintsInstallsBulkItemsIndex"}}}}
```

## Get Blueprint Bulk Install Batch Item

> Retrieves the details of a specific bulk install batch item.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintInstallBatchItemResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/BlueprintInstallBatchItem"}}},"BlueprintInstallBatchItem":{"type":"object","properties":{"id":{"type":"integer"},"batch_id":{"type":"integer"},"company_id":{"type":"integer"},"status":{"type":"string","enum":["Draft","Inactive","Deployed"]},"message":{"type":"string"},"started_at":{"type":"string","format":"date-time"},"finished_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"company":{"type":"object"}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}/items/{item}":{"get":{"summary":"Get Blueprint Bulk Install Batch Item","description":"Retrieves the details of a specific bulk install batch item.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"batch","in":"path","required":true,"schema":{"type":"string"},"description":"The batch identifier."},{"name":"item","in":"path","required":true,"schema":{"type":"string"},"description":"The item identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintInstallBatchItemResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksBlueprintsInstallsBulkItemsShow"}}}}
```

## List Blueprint Versions

> Retrieves a paginated list of versions for a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MarketplaceAppsListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MarketplaceApps"}},"meta":{"$ref":"#/components/schemas/PaginationMeta"},"links":{"$ref":"#/components/schemas/PaginationLinks"}}},"MarketplaceApps":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"help_guide":{"type":"string"},"flow_version_ids":{"type":"string"},"cross_reference_lookup_ids":{"type":"string"},"system_ids":{"type":"string"},"script_version_ids":{"type":"string"},"cache_ids":{"type":"string"},"data_pool_ids":{"type":"string"},"private":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"blueprint_id":{"type":"integer"},"name":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"installed_count":{"type":"integer"},"company_id":{"type":"integer"},"flow_count":{"type":"integer"},"system_count":{"type":"integer"},"script_count":{"type":"integer"},"data_pool_count":{"type":"integer"},"cache_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"flow_templates":{"type":"array","items":{"$ref":"#/components/schemas/FlowTemplates"}},"cross_reference_lookup_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupTemplate"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"script_templates":{"type":"array","items":{"$ref":"#/components/schemas/ScriptTemplates"}},"cache_templates":{"type":"array","items":{"$ref":"#/components/schemas/CacheTemplate"}},"data_pool_templates":{"type":"array","items":{"$ref":"#/components/schemas/DataPoolTemplate"}},"company":{"type":"object"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"installs_avg_install_duration":{"type":"string"},"is_published":{"type":"boolean"},"publish_failed_at":{"type":"string","format":"date-time"},"publish_error":{"type":"string"}}},"FlowTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time","items":{"type":"object"}},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"step_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"script_count":{"type":"integer"},"system_count":{"type":"integer"},"webhook_count":{"type":"integer"},"advanced":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"steps":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplate"}},"schedules":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"blueprint_id":{"type":"array","items":{"type":"object"}},"blueprint_version_number":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelTemplate"}}}},"SystemTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"label":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]},"logo_url":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"protocol":{"type":"object","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]},"rate_limit_duration":{"type":"integer"},"system_type_id":{"type":"integer"},"system_type":{"$ref":"#/components/schemas/SystemType","enum":["Accounting","CRM","eCommerce","ERP","Marketplaces","Other","PIM","POS","3PL","WMS","Database"]},"date_format":{"type":"string"},"canonical_key":{"type":"object"},"company_id":{"type":"object"},"public_company_id":{"type":"object"},"company":{"type":"object"},"public_company":{"type":"object"},"logo":{"$ref":"#/components/schemas/MediaFiles"},"instances":{"type":"array","items":{"type":"object"}},"authentication_implementation_templates":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"help_link":{"type":"string"}}},"SystemType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}}}},"MediaFiles":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"model_type":{"type":"string"},"model_id":{"type":"integer"},"file_name":{"type":"string"},"mime_type":{"type":"string"},"expires_at":{"type":"string","format":"date-time"},"is_expired":{"type":"boolean"}}},"FlowStepTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"children":{"type":"string"},"routes":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplateRoute"}},"parent_flow_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"flow_template_id":{"type":"integer"},"cache":{"type":"object"},"microservice":{"type":"string","enum":["gateway","trigger","start","connector","pull","push","map","filter","route","script","manual-payload","assert-payload","split","batch","dedupe","cache","cache-set","cache-get","track","variable-set","run-flow","logging","events","notify","try-catch","branch","callback","data-transform","medium-processor","long-processor","scheduler","cross-reference"]},"config":{"type":"object"},"route_count":{"type":"integer"},"filter_count":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"}}},"FlowStepTemplateRoute":{"type":"object","properties":{"id":{"type":"integer"},"flow_step_id":{"type":"integer"},"name":{"type":"string"},"first_step_id":{"type":"integer"},"first_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"order":{"type":"string"}}},"EndpointTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"system_template_id":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"entity_type_id":{"type":"integer"},"entity_type":{"$ref":"#/components/schemas/EntityType"},"endpoint":{"type":"string"},"http_method":{"type":"string","enum":["CONNECT","DELETE","GET","HEAD","OPTIONS","PATCH","POST","PUT","TRACE"]},"data_type":{"type":"string","enum":["csv","json","txt","xml"]},"pagination_method":{"type":"string","enum":["Custom relative URI","Link Header","Next page token","Next Page URL","Page number parameter","Limit offset","default","PeopleVox","NetSuite SOAP","GraphQL Cursor","Database limit offset","Script"]},"deprecated_at":{"type":"string","format":"date-time"},"direction":{"type":"string","enum":["Send","Receive"]},"returns_multiple_records":{"type":"boolean"},"endpoint_schema_template":{"$ref":"#/components/schemas/EndpointSchemaTemplate"},"data_path":{"type":"string"},"body_format":{"type":"string","enum":["none","form-data","raw","text"]},"raw_body":{"type":"string"},"help_link":{"type":"string"}}},"EntityType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"}}},"EndpointSchemaTemplate":{"type":"object","properties":{"id":{"type":"integer"},"endpoint_template_id":{"type":"integer"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"},"schema":{"type":"string"}}},"LabelTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]}}},"CrossReferenceLookupTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"default_value":{"type":"string"},"cross_reference_lookup_value_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupValueTemplate"}}}},"CrossReferenceLookupValueTemplate":{"type":"object","properties":{"id":{"type":"integer"},"left_value":{"type":"string"},"right_value":{"type":"string"}}},"ScriptTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"language":{"type":"object"},"company_id":{"type":"object"},"canonical_key":{"type":"object"},"content":{"$ref":"#/components/schemas/ScriptTemplateContent"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"tenant_script_version_id":{"type":"string"}}},"ScriptTemplateContent":{"type":"object","properties":{"id":{"type":"integer"},"script_template_id":{"type":"integer"},"content":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"}}},"CacheTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"scope":{"type":"string","enum":["Flow run","Flow","Company"]},"ttl":{"type":"string"},"flow_template_id":{"type":"integer"},"marketplace_app_id":{"type":"integer"}}},"DataPoolTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"}}},"PaginationMeta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":"integer","nullable":true},"last_page":{"type":"integer"},"path":{"type":"string"},"per_page":{"type":"integer"},"to":{"type":"integer","nullable":true},"total":{"type":"integer"}}},"PaginationLinks":{"type":"object","properties":{"first":{"type":"string","format":"uri"},"last":{"type":"string","format":"uri"},"prev":{"type":"string","format":"uri","nullable":true},"next":{"type":"string","format":"uri","nullable":true}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/versions":{"get":{"summary":"List Blueprint Versions","description":"Retrieves a paginated list of versions for a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsListResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksBlueprintsVersionsIndex"}}}}
```

## Get Active Blueprint Version

> Retrieves the currently active version of a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MarketplaceAppsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/MarketplaceApps"}}},"MarketplaceApps":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"help_guide":{"type":"string"},"flow_version_ids":{"type":"string"},"cross_reference_lookup_ids":{"type":"string"},"system_ids":{"type":"string"},"script_version_ids":{"type":"string"},"cache_ids":{"type":"string"},"data_pool_ids":{"type":"string"},"private":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"blueprint_id":{"type":"integer"},"name":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"installed_count":{"type":"integer"},"company_id":{"type":"integer"},"flow_count":{"type":"integer"},"system_count":{"type":"integer"},"script_count":{"type":"integer"},"data_pool_count":{"type":"integer"},"cache_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"flow_templates":{"type":"array","items":{"$ref":"#/components/schemas/FlowTemplates"}},"cross_reference_lookup_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupTemplate"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"script_templates":{"type":"array","items":{"$ref":"#/components/schemas/ScriptTemplates"}},"cache_templates":{"type":"array","items":{"$ref":"#/components/schemas/CacheTemplate"}},"data_pool_templates":{"type":"array","items":{"$ref":"#/components/schemas/DataPoolTemplate"}},"company":{"type":"object"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"installs_avg_install_duration":{"type":"string"},"is_published":{"type":"boolean"},"publish_failed_at":{"type":"string","format":"date-time"},"publish_error":{"type":"string"}}},"FlowTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time","items":{"type":"object"}},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"step_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"script_count":{"type":"integer"},"system_count":{"type":"integer"},"webhook_count":{"type":"integer"},"advanced":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"steps":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplate"}},"schedules":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"blueprint_id":{"type":"array","items":{"type":"object"}},"blueprint_version_number":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelTemplate"}}}},"SystemTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"label":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]},"logo_url":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"protocol":{"type":"object","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]},"rate_limit_duration":{"type":"integer"},"system_type_id":{"type":"integer"},"system_type":{"$ref":"#/components/schemas/SystemType","enum":["Accounting","CRM","eCommerce","ERP","Marketplaces","Other","PIM","POS","3PL","WMS","Database"]},"date_format":{"type":"string"},"canonical_key":{"type":"object"},"company_id":{"type":"object"},"public_company_id":{"type":"object"},"company":{"type":"object"},"public_company":{"type":"object"},"logo":{"$ref":"#/components/schemas/MediaFiles"},"instances":{"type":"array","items":{"type":"object"}},"authentication_implementation_templates":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"help_link":{"type":"string"}}},"SystemType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}}}},"MediaFiles":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"model_type":{"type":"string"},"model_id":{"type":"integer"},"file_name":{"type":"string"},"mime_type":{"type":"string"},"expires_at":{"type":"string","format":"date-time"},"is_expired":{"type":"boolean"}}},"FlowStepTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"children":{"type":"string"},"routes":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplateRoute"}},"parent_flow_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"flow_template_id":{"type":"integer"},"cache":{"type":"object"},"microservice":{"type":"string","enum":["gateway","trigger","start","connector","pull","push","map","filter","route","script","manual-payload","assert-payload","split","batch","dedupe","cache","cache-set","cache-get","track","variable-set","run-flow","logging","events","notify","try-catch","branch","callback","data-transform","medium-processor","long-processor","scheduler","cross-reference"]},"config":{"type":"object"},"route_count":{"type":"integer"},"filter_count":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"}}},"FlowStepTemplateRoute":{"type":"object","properties":{"id":{"type":"integer"},"flow_step_id":{"type":"integer"},"name":{"type":"string"},"first_step_id":{"type":"integer"},"first_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"order":{"type":"string"}}},"EndpointTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"system_template_id":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"entity_type_id":{"type":"integer"},"entity_type":{"$ref":"#/components/schemas/EntityType"},"endpoint":{"type":"string"},"http_method":{"type":"string","enum":["CONNECT","DELETE","GET","HEAD","OPTIONS","PATCH","POST","PUT","TRACE"]},"data_type":{"type":"string","enum":["csv","json","txt","xml"]},"pagination_method":{"type":"string","enum":["Custom relative URI","Link Header","Next page token","Next Page URL","Page number parameter","Limit offset","default","PeopleVox","NetSuite SOAP","GraphQL Cursor","Database limit offset","Script"]},"deprecated_at":{"type":"string","format":"date-time"},"direction":{"type":"string","enum":["Send","Receive"]},"returns_multiple_records":{"type":"boolean"},"endpoint_schema_template":{"$ref":"#/components/schemas/EndpointSchemaTemplate"},"data_path":{"type":"string"},"body_format":{"type":"string","enum":["none","form-data","raw","text"]},"raw_body":{"type":"string"},"help_link":{"type":"string"}}},"EntityType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"}}},"EndpointSchemaTemplate":{"type":"object","properties":{"id":{"type":"integer"},"endpoint_template_id":{"type":"integer"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"},"schema":{"type":"string"}}},"LabelTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]}}},"CrossReferenceLookupTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"default_value":{"type":"string"},"cross_reference_lookup_value_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupValueTemplate"}}}},"CrossReferenceLookupValueTemplate":{"type":"object","properties":{"id":{"type":"integer"},"left_value":{"type":"string"},"right_value":{"type":"string"}}},"ScriptTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"language":{"type":"object"},"company_id":{"type":"object"},"canonical_key":{"type":"object"},"content":{"$ref":"#/components/schemas/ScriptTemplateContent"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"tenant_script_version_id":{"type":"string"}}},"ScriptTemplateContent":{"type":"object","properties":{"id":{"type":"integer"},"script_template_id":{"type":"integer"},"content":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"}}},"CacheTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"scope":{"type":"string","enum":["Flow run","Flow","Company"]},"ttl":{"type":"string"},"flow_template_id":{"type":"integer"},"marketplace_app_id":{"type":"integer"}}},"DataPoolTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/versions/active":{"get":{"summary":"Get Active Blueprint Version","description":"Retrieves the currently active version of a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksBlueprintsVersionsActive"}}}}
```

## Get Blueprint Version

> Retrieves the details of a specific blueprint version.

```json
[...]
